/**
 * OrganizationNamePartQualifier.java
 *
 * File generated from the medication::OrganizationNamePartQualifier uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration OrganizationNamePartQualifier.
 *
 * 
 */

@XmlType(name = "OrganizationNamePartQualifier")
@XmlEnum
@XmlRootElement(name = "OrganizationNamePartQualifier")
public enum OrganizationNamePartQualifier {
	@XmlEnumValue("LS")
	LS("LS");
	
	private final String value;

    OrganizationNamePartQualifier(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static OrganizationNamePartQualifier fromValue(String v) {
        for (OrganizationNamePartQualifier c: OrganizationNamePartQualifier.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}